---
title: "List all users"
slug: "list-all-users-v2users"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List all users (/v2/users)

Get/v2/users

List all of the company's users.

Required authorizaton scope: 'api:users:read'.

Query parameterscursorstring

When paging is needed, provide the value supplied by the previous API call to bring the following page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM
includeAvatarsboolean

Avatars are synthetic users representing Gong employees (CSMs and support providers) when they access your instance. References to avatars' IDs may be found in the outputs of other API endpoints. This parameter is optional, if not provided avatars will not be included in the results.

Examplefalse

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='eba20c7a-11ee-4436-8a17-3c1d279569a6'>application/json</option>
</select>Expand Allobject  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
recordsobject (Records)  

Information about the number of records that match the requested filter.

totalRecordsinteger  (int32)    

Total number of records.

Example263
currentPageSizeinteger  (int32)    

Number of records in the current page.

Example100
currentPageNumberinteger  (int32)    

Current page number.

Example0
cursorstring    

Returned only when there are more records to be retrieved. Repeat the API call and pass this cursor value in the request to retrieve the next page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM

users Array of object (UserMetadata)   

A list, in which each item specifies one user's metadata.

object  

User's metadata.

idstring    

Gong's unique numeric identifier for the user (up to 20 digits).

Example234599484848423
emailAddressstring    

The email address of the Gong user.

Exampletest@test.com
createdstring    

Creation time in the ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC);of the Gong user.

Example2018-02-17T02:30:00-08:00
activeboolean    

True if the user is active, false if not.

Exampletrue
emailAliases Array of string   

List of email address aliases of the Gong user.

Example[
  "testAlias@test.com"
]string    
trustedEmailAddressstring    

The trusted authentication email assigned to the Gong user

Exampletest@test.com
firstNamestring    

The first name of the Gong user.

ExampleJon
lastNamestring    

The last name of the Gong user.

ExampleSnow
titlestring    

The job title of the Gong user.

ExampleEnterprise Account Executive
phoneNumberstring    

The phone number of the Gong user.

Example+1 123-567-8989
extensionstring    

The extension number of the Gong user.

Example123
personalMeetingUrls Array of string   

The list of personal meeting URLs of the Gong user.

Example[
  "https://zoom.us/j/123"
]string    
settingsobject (Settings)  

The user's settings in the Gong system.

webConferencesRecordedboolean    

True if the team member is set to be recorded by Gong, false if not.

Exampletrue
preventWebConferenceRecordingboolean    

If true, invitation of this user to a web conference will prevent its recording (even if other users invited are set to record).

telephonyCallsImportedboolean    

True if the team member is set to import telephony calls from by Gong, false if not.

emailsImportedboolean    

True if the team member is set to import emails by Gong, false if not.

Exampletrue
preventEmailImportboolean    

True if the team member is set to prevent import of emails by Gong, false if not.

nonRecordedMeetingsImportedboolean    

True if the team member is set to import non recorded meetings by Gong, false if not.

Exampletrue
gongConnectEnabledboolean    

True if the team member has Gong Connect enabled, false if not.

Exampletrue

managerIdstring    

The manager ID of the Gong user.

Example563515258458745
meetingConsentPageUrlstring    

The Gong recording consent meeting link

Examplehttps://join.gong.io/my-company/jon.snow?tkn=MoNpS9tMNt8BK7EZxQpSJl
spokenLanguages Array of object (spokenLanguage)   object  

Languages spoken during calls by the Gong user

languagestring    

Language spoken by the user encoded according to the BCP-47 standard.

Examplees-ES
primaryboolean    

Indicates the primary language (one per user). The language will be assumed when the system cannot identify the language of a call, e.g., due to poor quality or the call being too short.

Exampletrue

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='8f341a08-7c36-4bb3-83a7-6047c16d8493'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

403

Access denied

<select class='api-response-data' aria-label='Media type'><option value='26e864ef-aa37-48fa-beaa-90f9e7f3ed24'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

429

API request limit exceeded

HeadersRetry-AfterintegerNumber of seconds to wait before making a new request.
<select class='api-response-data' aria-label='Media type'><option value='a8074195-315d-4a0b-ac8d-2be9ad4240d7'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='d00fb4ad-4287-4743-bb08-582f4d123ce5'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
